API ReferenceapifollowsDELETE /v1/blocks

DELETE /v1/blocks

Service: follows · operationId: (none)

Required scopes

(no scope declared — review service config)

Request body

{
  "type": "object",
  "properties": {
    "blocker_id": {
      "type": "string",
      "minLength": 1
    },
    "blocked_id": {
      "type": "string",
      "minLength": 1
    },
    "brand_id": {
      "type": "string",
      "minLength": 1
    }
  },
  "required": [
    "blocker_id",
    "blocked_id",
    "brand_id"
  ]
}

Responses

200 Unblocked

{
  "type": "object",
  "properties": {
    "success": {
      "type": "boolean",
      "enum": [
        true
      ]
    }
  },
  "required": [
    "success"
  ]
}

404 Not blocked

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X DELETE https://follows.platform.loop.health/v1/blocks \
  -H "Authorization: Bearer $ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{ ... }'